<?php

namespace Drupal\commerce_multiorder\Event;

use Drupal\views\ViewExecutable;
use Symfony\Component\EventDispatcher\Event;

class CommerceMultiorderTotalViewsEvent extends Event {

  /**
   * @var \Drupal\commerce_order\Entity\OrderInterface[]
   */
  protected $orders;

  protected $views;

  protected $output;

  const COMMERCE_MULTORDER_TOTAL_VIEWS_OVERRIDE_OUTPUT = 'commerce_multiorder.total_views.override_output';

  public function __construct($orders, ViewExecutable $views) {
    $this->orders = $orders;
    $this->views = $views;
  }

  /**
   * @return \Drupal\commerce_order\Entity\OrderInterface[]
   */
  public function getOrders(): array {
    return $this->orders;
  }

  /**
   * @param array $orders
   *
   * @return $this
   */
  public function setOrders(array $orders) {
    $this->orders = $orders;
    return $this;
  }

  /**
   * @return mixed
   */
  public function getViews() {
    return $this->views;
  }

  /**
   * @param $views
   *
   * @return $this
   */
  public function setViews($views) {
    $this->views = $views;
    return $this;
  }

  /**
   * @return mixed
   */
  public function getOutput() {
    return $this->output;
  }

  /**
   * Return true if the output is not empty
   *
   * @return bool
   */
  public function hasOutput() {
    return !empty($this->output);
  }

  /**
   * @param mixed $output
   */
  public function setOutput($output) {
    $this->output = $output;
  }
}